//: C10:KissingPrincess.cpp
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
#include <iostream>
using namespace std;

class Bytost {
  bool jeZaba;
public:
  Bytost() : jeZaba(true) {}
  void pozdrav() {
    if(jeZaba)
      cout << "Kváák!" << endl;
    else
      cout << "Miláčku!" << endl;
  }
  void polibek() { jeZaba = false; }
};

int main() {
  Bytost bytost;
  bytost.pozdrav();
  bytost.polibek();
  bytost.pozdrav();
} ///:~
